Download it now!
Bug 97531 - INSERT: Gradients in SVG shown as solid color
Summary: INSERT: Gradients in SVG shown as solid color
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:svg, regression
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2016-02-03 16:08 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-10-01 03:02 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
LibreOffice vs Chrome (285.06 KB, image/png)
2016-02-03 16:08 UTC, Yousuf Philips (jay) (retired)
Details
LibO 4.0.6 (139.69 KB, image/png)
2016-02-03 16:09 UTC, Yousuf Philips (jay) (retired)
Details
Screenshot from LibO 5.2 (32.50 KB, image/jpeg)
2016-02-11 10:27 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-02-03 16:08:49 UTC
Created attachment 122355 [details]
LibreOffice vs Chrome

Steps:
1) Open Writer
2) Insert https://dev.w3.org/SVG/tools/svgweb/samples/svg-files/AJ_Digital_Camera.svg
3) Notice there is a solid black color around the flash part of the camera and the solid color around the words 'MEGA' and '3.2'.

This can be classified as a regression as the gradient was there in 4.0.6.2, though the flash gradient wasnt in the correct direction.

Version: 5.2.0.0.alpha0+
Build ID: 513d5c5781ec14f8512432f31290a3d54c8d57df
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-01_10:25:20
Locale: en-US (en_US.UTF-8)
Comment 1 Yousuf Philips (jay) (retired) 2016-02-03 16:09:24 UTC
Created attachment 122356 [details]
LibO 4.0.6
Comment 2 Buovjaga 2016-02-11 10:27:51 UTC
Created attachment 122526 [details]
Screenshot from LibO 5.2

Seems to be ok, right??
Did Xisco fix some stuff?

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a6f876d45bd4e41a7143594a6cb11b6893a0f620
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-11_00:07:38
Locale: fi-FI (fi_FI)
Comment 3 Buovjaga 2016-02-11 11:49:53 UTC
No it's not ok.. I was being silly. Setting to NEW.
Comment 4 raal 2016-06-13 19:16:43 UTC
reproducible Version: 4.2.0.0.alpha1+
Comment 5 Aron Budea 2016-07-10 23:23:11 UTC
Narrowing range when regression was introduced:
reproduced in 4.2.0.4, not reproduced in 4.1.0.4 (Windows 7).
Comment 6 Xisco Faulí 2016-08-30 16:06:50 UTC
it looks like the gradient issue was introduced in the range 3222f7b9933788a34aaa639dbae05b54e188adba..98741a2078ebd0a9c83f6e676f99de526990f423 where there're many commits made by Armin Le Grand. Specially these two drew my attention:

- b7a425aab6122b5848362815e5fe665c7e38da05 - Resolves: #i121801# Corrected handling of gradient transformations
- e0d8fb0cb157668dffa683fe81418304f8a843dd - Related: #i121801# Corrected objectBoundingBox case for GradientTransform
Comment 7 Xisco Faulí 2016-09-26 15:03:13 UTC
Adding Cc: to Armin Le Grand
Comment 8 Xisco Faulí 2017-09-29 08:49:53 UTC Comment hidden (obsolete)
Comment 9 Regina Henschel 2017-09-29 11:18:07 UTC
The wrong rendering is still there in Version: 6.0.0.0.alpha0+
Build ID: 6c68f38bc28bb55a4f0d53b8f38957516d3935d1
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-09-04_22:05:26
Locale: de-DE (de_DE); Calc: group
Comment 10 QA Administrators 2018-09-30 02:48:26 UTC Comment hidden (obsolete)
Comment 11 Regina Henschel 2018-09-30 11:12:47 UTC
The gradient above the word 'PIXELS' has to large steps. The color of the stroke of the words 'MEGA' and '1.2 PIXELS' is too dark and the stroke is a little bit too thick.

Seen in Version: 6.2.0.0.alpha0+ (x64)
Build ID: efe119aaa50e9f532b3fac1ef153469c80f24b80
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-10_01:36:26
Locale: de-DE (en_US); Calc: CL
Comment 12 QA Administrators 2019-10-01 03:02:45 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug